Bug 201080 - NPE when clicking on C++ Compiler in File Properties
NPE when clicking on C++ Compiler in File Properties
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
7.0.1
PC All
: P2 (vote)
: 7.0.1
Assigned To: Alexander Simon
issues@cnd
701patch1-verified, CR_7082816
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-18 10:44 UTC by Alexander Pepin
Modified: 2011-09-26 13:37 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pepin 2011-08-18 10:44:59 UTC
This is a regression occurred on Aug 17.
Steps to reproduce:
- create Welcome sample
- call Properties for welcome.cc
- click on C++ Compiler categorie
Result: NPE occurs:
java.lang.NullPointerException
	at org.netbeans.modules.cnd.makeproject.api.configurations.CCCCompilerConfiguration.getSet(CCCCompilerConfiguration.java:268)
	at org.netbeans.modules.cnd.makeproject.api.configurations.CCCompilerConfiguration.getSheet(CCCompilerConfiguration.java:210)
	at org.netbeans.modules.cnd.makeproject.ui.customizer.CCCompilerCustomizerNode.getSheet(CCCompilerCustomizerNode.java:68)
	at org.netbeans.modules.cnd.makeproject.ui.customizer.PropertyNode.getSheet(PropertyNode.java:75)
	at org.netbeans.modules.cnd.makeproject.ui.customizer.MakeCustomizer$CategoryView$ManagerChangeListener.propertyChange(MakeCustomizer.java:539)
	at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:339)
	at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:276)
	at org.openide.explorer.ExplorerManager$2.run(ExplorerManager.java:868)
	at org.openide.util.Mutex.doEvent(Mutex.java:1341)
	at org.openide.util.Mutex.readAccess(Mutex.java:348)
	at org.openide.explorer.ExplorerManager.fireInAWT(ExplorerManager.java:865)
	at org.openide.explorer.ExplorerManager$1AtomicSetSelectedNodes.fire(ExplorerManager.java:285)
	at org.openide.explorer.ExplorerManager.setSelectedNodes(ExplorerManager.java:296)
	at org.openide.explorer.ExplorerManager$1SetExploredContextAndSelection.run(ExplorerManager.java:384)
	at org.openide.util.Mutex.readAccess(Mutex.java:365)
	at org.openide.util.Mutex$1R.run(Mutex.java:1307)
	at org.openide.util.Mutex.doWrapperAccess(Mutex.java:1324)
	at org.openide.util.Mutex.readAccess(Mutex.java:354)
	at org.openide.explorer.ExplorerManager.setExploredContextAndSelection(ExplorerManager.java:411)
	at org.openide.explorer.view.BeanTreeView.selectionChanged(BeanTreeView.java:147)
	at org.openide.explorer.view.TreeView.callSelectionChanged(TreeView.java:867)
	at org.openide.explorer.view.TreeView$TreePropertyListener.run(TreeView.java:1503)
	at org.openide.util.Mutex$1Exec.run(Mutex.java:1244)
	at org.openide.nodes.Children$ProjectManagerDeadlockDetector.execute(Children.java:1907)
	at org.openide.util.Mutex.postRequest(Mutex.java:1250)
	at org.openide.util.Mutex.postRequest(Mutex.java:1213)
	at org.openide.util.Mutex.postReadRequest(Mutex.java:568)
	at org.openide.explorer.view.TreeView$TreePropertyListener.valueChanged(TreeView.java:1473)
	at javax.swing.tree.DefaultTreeSelectionModel.fireValueChanged(DefaultTreeSelectionModel.java:629)
	at javax.swing.tree.DefaultTreeSelectionModel.notifyPathChange(DefaultTreeSelectionModel.java:1078)
	at javax.swing.tree.DefaultTreeSelectionModel.setSelectionPaths(DefaultTreeSelectionModel.java:287)
	at javax.swing.tree.DefaultTreeSelectionModel.setSelectionPath(DefaultTreeSelectionModel.java:170)
	at javax.swing.JTree.setSelectionPath(JTree.java:1598)
	at javax.swing.plaf.basic.BasicTreeUI.selectPathForEvent(BasicTreeUI.java:2311)
	at javax.swing.plaf.basic.BasicTreeUI$Handler.handleSelection(BasicTreeUI.java:3520)
	at javax.swing.plaf.basic.BasicTreeUI$Handler.mousePressedDND(BasicTreeUI.java:3497)
	at javax.swing.plaf.basic.BasicTreeUI$Handler.mousePressed(BasicTreeUI.java:3456)
	at java.awt.AWTEventMulticaster.mousePressed(AWTEventMulticaster.java:262)
	at java.awt.AWTEventMulticaster.mousePressed(AWTEventMulticaster.java:262)
	at java.awt.AWTEventMulticaster.mousePressed(AWTEventMulticaster.java:262)
	at java.awt.AWTEventMulticaster.mousePressed(AWTEventMulticaster.java:262)
	at java.awt.Component.processMouseEvent(Component.java:6264)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:6032)
	at java.awt.Container.processEvent(Container.java:2041)
	at java.awt.Component.dispatchEventImpl(Component.java:4630)
	at java.awt.Container.dispatchEventImpl(Container.java:2099)
	at java.awt.Component.dispatchEvent(Component.java:4460)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4577)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4235)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
	at java.awt.Container.dispatchEventImpl(Container.java:2085)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4460)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:148)
[catch] at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:178)
	at java.awt.Dialog$1.run(Dialog.java:1046)
	at java.awt.Dialog$3.run(Dialog.java:1098)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.Dialog.show(Dialog.java:1096)
	at org.netbeans.core.windows.services.NbPresenter.superShow(NbPresenter.java:1038)
	at org.netbeans.core.windows.services.NbPresenter.doShow(NbPresenter.java:1072)
	at org.netbeans.core.windows.services.NbPresenter.run(NbPresenter.java:1060)
	at org.netbeans.core.windows.services.NbPresenter.run(NbPresenter.java:126)
	at org.openide.util.Mutex$1AWTWorker.run(Mutex.java:1377)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:199)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:597)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:148)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
Comment 1 Alexander Simon 2011-08-18 12:33:48 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/338a41a1dd63

transplanted in release701_fixes on elif:
338a41a1dd63 transplanted to 301e0f3e2f0e
Comment 2 Alexander Pepin 2011-08-18 13:54:24 UTC
verified in dev build #23 (20110818)
Comment 3 Quality Engineering 2011-08-19 14:42:40 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/338a41a1dd63
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201080 NPE when clicking on C++ Compiler in File Properties
Comment 4 Alexander Simon 2011-08-24 11:43:05 UTC
integrated in release701_fixes:
301e0f3e2f0e transplanted to 808f0fadb0e1
Comment 5 Quality Engineering 2011-08-25 04:25:04 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/808f0fadb0e1
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201080 NPE when clicking on C++ Compiler in File Properties
(transplanted from 301e0f3e2f0e6d1507b3d38ee3715fbe764b568b)
Comment 6 Alexander Pepin 2011-08-29 10:39:36 UTC
verified in 7.0.1 patch1.
Comment 7 Quality Engineering 2011-09-26 13:37:35 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/301e0f3e2f0e
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201080 NPE when clicking on C++ Compiler in File Properties


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo